//
// LoadButton.cpp
//

// Engine includes.
#include "ResourceManager.h"
#include "WorldManager.h"
#include "utility.h"

// Game includes.
#include "FileName.h"
#include "LoadButton.h"
#include "main.h"

LoadButton::LoadButton(std::string filename) {
  m_filename = filename;
  setBorder(true);
  setLocation(df::TOP_LEFT);
  setColor(df::WHITE);
  setDefaultColor(df::WHITE);
  setViewString("load");
  setType("LoadButton");
}

// On callback, load new sprite.
void LoadButton::callback() {
  new FileName(m_filename);
}
